import { djbase, djclass, bind, prototype } from "../declare";

import { DjxWidgetBase } from "../tsx/DjxWidgetBase";
import { createElement } from "../tsx";


@djclass
export class MyWidget extends djbase(DjxWidgetBase) {

    @bind({node: "titleNode", type:"innerHTML"})
    title = "";

    @prototype()
    counter = 0;

    render() {
        return <div>
            <h1 data-dojo-attach-point="titleNode"></h1>
        </div>;
    }

}
